Subject: bug#36076: closed (Re: bug#36076: Manual should clarify that glibc-utf8-locales is needed by default on foreign distros)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Jun 2019 21:13:03 +0000

Your bug report

#36076: 'glibc-locales' lacks symlinks for locale names with normalized codeset

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36076: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36076
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36076: Manual should clarify that glibc-utf8-locales is needed by default on foreign distros
From: Ludovic Courtès <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: Giovanni Biscuolo <[email-masked]>, [email-masked]
Date: Fri, 07 Jun 2019 23:12:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jack Hill <[email-masked]> skribis:

> On Thu, 6 Jun 2019, Ludovic Courtès wrote:
>
>> Let me know what you think.
>
> I follow all of the explanation, so it makes sense to me. Previously,
> I didn't know about normalized names, but now I do, so thanks!
>
> Once normalized locales are present in glibc-locales, I don't think
> any change will be needed in the manual.

Fixed in 0e6cee21a48294b81a5e57e00602728fe7f7075f, thanks!

Ludo’.

Subject: Manual should clarify that glibc-utf8-locales is needed by default on foreign distros
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Mon, 3 Jun 2019 14:39:55 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

While setting up Guix on a foreign distribution (CentOS 7), I elected to 
use the full glibc-locales while following section 2.6.1 of the manual for 
application setup. I installed the glibc-locales package in both my user's 
profile and root's so that the locales would be available to guix-daemon.

However, I was surprised that even though I had the full set of locales 
available guix-daemon couldn't find the locale it was looking for. This is 
because the default systemd unit for guix-daemon configures it to use the 
en_US.utf8 locale which is provided by glibc-utf8-locales (en_US.UTF-8 is 
in glibc-locales).

I think it would be good to clarify in the manual which locale package is 
needed when using the default daemon configuration on systemd foreign 
distros.

I also talked about my experience on help-guix: https://lists.gnu.org/archive/html/help-guix/2019-06/msg00024.html

Best,
Jack